aboutsummaryrefslogtreecommitdiffstats
path: root/copy.sh
diff options
context:
space:
mode:
authorJa.KooLit <jimmielovejay@gmail.com>2023-12-13 10:21:47 +0900
committerGitHub <noreply@github.com>2023-12-13 10:21:47 +0900
commit2a48707a57672937f659d83492a07959b4063c87 (patch)
tree8331134f9004a160cc1bc97c6667db95e713b436 /copy.sh
parentbdd1f811cabfd8283f3b9f416d902d121f3476b7 (diff)
parent02c91ee41e2fb9718ed8bf3da135d8028203282b (diff)
Merge pull request #67 from JaKooLit/development
Development to main
Diffstat (limited to 'copy.sh')
-rwxr-xr-xcopy.sh14
1 files changed, 5 insertions, 9 deletions
diff --git a/copy.sh b/copy.sh
index abd4efbb..f607209e 100755
--- a/copy.sh
+++ b/copy.sh
@@ -138,6 +138,8 @@ elif [ "$resolution" == "≥ 1440p" ]; then
cp -r config/rofi/resolution/1440p/* config/rofi/
fi
+printf "\n%.0s" {1..2}
+
### Copy Config Files ###
set -e # Exit immediately if a command exits with a non-zero status.
@@ -168,18 +170,14 @@ cp -r config/* ~/.config/ && { echo "${OK}Copy completed!"; } || { echo "${ERROR
# copying Wallpapers
mkdir -p ~/Pictures/wallpapers
cp -r wallpapers ~/Pictures/ && { echo "${OK}Copy completed!"; } || { echo "${ERROR} Failed to copy wallpapers."; exit 1; } 2>&1 | tee -a "$LOG"
-
-
-
-
+
# Set some files as executable
chmod +x ~/.config/hypr/scripts/* 2>&1 | tee -a "$LOG"
# Set executable for initial-boot.sh
chmod +x ~/.config/hypr/initial-boot.sh 2>&1 | tee -a "$LOG"
-
-#printf "\n\n"
+printf "\n%.0s" {1..3}
# Additional wallpaper
echo "$(tput setaf 6) By default only a few wallpapers are copied...$(tput sgr0)"
read -n1 -rep "${CAT} Would you like to download additional wallpapers? (y/n)" WALL
@@ -195,8 +193,6 @@ if [[ $WALL =~ ^[Yy]$ ]]; then
fi
fi
-# Initial Symlinks to avoid errors
-
# Detect machine type and set Waybar configurations accordingly, logging the output
if hostnamectl | grep -q 'Chassis: desktop'; then
# Configurations for a desktop
@@ -218,7 +214,7 @@ wal -i ~/Pictures/wallpapers/anime-girl-abyss.png 2>&1 | tee -a "$LOG"
#initial symlink for Pywal Dark and Light for Rofi Themes
ln -sf "$HOME/.cache/wal/colors-rofi-dark.rasi" "$HOME/.config/rofi/pywal-color/pywal-theme.rasi"
-printf "\n\n"
+printf "\n%.0s" {1..2}
printf "\n${OK} Copy Completed!\n\n\n"
printf "${ORANGE} ATTENTION!!!! \n"
printf "${ORANGE} YOU NEED to logout and re-login or reboot to avoid issues\n\n"
send patches to the email below
yukais@pinapelz.com
include the subject [PATCH repo_name]
pinapelz.com
homepage